# std::fpos< _StateT > Class Template Reference

List of all members.

## Detailed Description

### template<typename _StateT>
class std::fpos< _StateT >

The standard places no requirements upon the template parameter StateT. In this implementation StateT must be DefaultConstructible, CopyConstructible and Assignable. The standard only requires that fpos should contain a member of type StateT. In this implementation it also contains an offset stored as a signed integer.

Parameters:

  | StateT | Type passed to and returned from state().

Definition at line 95 of file postypes.h.

## Public Member Functions

- fpos (streamoff __off)
- fpos ()
- operator streamoff () const
- fpos operator+ (streamoff __off) const
- fpos & operator+= (streamoff __off)
- streamoff operator- (const fpos &__other) const
- fpos operator- (streamoff __off) const
- fpos & operator-= (streamoff __off)
- _StateT state () const
- void state (_StateT __st)

## Constructor & Destructor Documentation

template<typename _StateT>

std::fpos< _StateT >::fpos | ( | streamoff | __off | ) | `[inline]`

Construct position from offset.

Definition at line 116 of file postypes.h.

## Member Function Documentation

template<typename _StateT>

std::fpos< _StateT >::operator streamoff | ( |  | ) | const`[inline]`

Convert to streamoff.

Definition at line 120 of file postypes.h.

template<typename _StateT>

fpos std::fpos< _StateT >::operator+ | ( | streamoff | __off | ) | const`[inline]`

Add position and offset.

Definition at line 161 of file postypes.h.

template<typename _StateT>

fpos& std::fpos< _StateT >::operator+= | ( | streamoff | __off | ) | `[inline]`

Add offset to this position.

Definition at line 137 of file postypes.h.

template<typename _StateT>

streamoff std::fpos< _StateT >::operator- | ( | const fpos< _StateT > & | __other | ) | const`[inline]`

Subtract position to return offset.

Definition at line 188 of file postypes.h.

References std::fpos< _StateT >::_M_off.

template<typename _StateT>

fpos std::fpos< _StateT >::operator- | ( | streamoff | __off | ) | const`[inline]`

Subtract offset from position.

Definition at line 175 of file postypes.h.

template<typename _StateT>

fpos& std::fpos< _StateT >::operator-= | ( | streamoff | __off | ) | `[inline]`

Subtract offset from this position.

Definition at line 148 of file postypes.h.

template<typename _StateT>

_StateT std::fpos< _StateT >::state | ( |  | ) | const`[inline]`

Return the last set value of st.

Definition at line 129 of file postypes.h.

template<typename _StateT>

void std::fpos< _StateT >::state | ( | _StateT | __st | ) | `[inline]`

Remember the value of st.

Definition at line 124 of file postypes.h.

The documentation for this class was generated from the following file:

- postypes.h